RubyGems Navigation menu

locale_detector 0.3.1

Parses HTTP_ACCEPT_LANGUAGE http header and sets the I18n.locale based on that, if it's missing it uses toplevel regional domain suffix or falls back to I18n.default_locale

Gemfile
          gem 'locale_detector', '~> 0.3.1'
  
  
  
  
  
  
  

install
          gem install locale_detector
  
  
  
  
  
  
  

Authors:

  • Paweł Gościcki

Owners:

Total downloads 7,622

For this version 3,351

Required Ruby Version: None

Links:

Versions:

  1. 0.3.1 - August 16, 2011 (7.5 KB)
  2. 0.3.0 - August 16, 2011 (7.5 KB)
  3. 0.2.0 - August 10, 2011 (7 KB)
  4. 0.1.0 - August 8, 2011 (6.5 KB)
  5. 0.0.1 - August 10, 2011 (6.5 KB)

Runtime Dependencies: